Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
DELETESNS OperationsSince 5.0.0SynchronousAuth Required
RemoveSNSFeiShuAtPerson
RemoveSNSFeiShuAtPerson
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
endpointUuidStringRequiredThe FeiShu Endpoint uuid.
userIdStringRequiredThe FeiShu user Id.
Body Fields
deleteModeStringOptional. Delete mode(Permissive / Enforcing,Permissive)
systemTagsListOptional. The system tag.
userTagsListOptional. The user tag.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/sns/application-endpoints/feishu/{endpointUuid}/at-persons/{userId}
/zstack/v1/sns/application-endpoints/feishu/{endpointUuid}/at-persons/{userId}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/sns/application-endpoints/feishu/{endpointUuid}/at-persons/{userId}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
